.section-account__actions .btn-action:hover{
	background: #fff;
	color: var(--color_primary);
}
#site-reviews.site-actions-container{
	z-index: 999;
	position: fixed;
	top: 0;
	left: 0;
	right:0;
	bottom:0;
	background:#fff;
}

.site-actions-container{
	height: 100%;
	width:100%;
	overflow: hidden;
	overflow-y: auto;
}

.site-actions-container:not(.active){display:none;}
.site-actions-head{
	border-bottom: 0.5px solid #e5e5e5;
	position: fixed;
	background: #fff;
	top: 0;
	left: 0;
	right: 0;
	z-index: 9999;
}
.site-actions-head .btn-back-reviews{
	position: absolute;
	left: 15px;
	top: 50%;
	transform: translateY(-50%);
}
.site-actions-head .btn-back-reviews img{
	width:10px;
}
.site-actions-head h4{
	text-align: center;
	margin: 0;
	font-size: 16px;
	font-weight: 600;
	padding: 10px 28px 10px 28px;
}
.hidden{display:none !important;}
.account-tablist{
	margin: 0;
	padding: 0;
	text-align: center;
	white-space: nowrap;
	overflow: hidden;
	overflow-x: auto;
	padding-bottom: 8px;
}
.account-tablist::-webkit-scrollbar {
	width: 5px;
	height:5px;
}
.account-tablist::-webkit-scrollbar-track {
	background: #CDCDCD;
}
.account-tablist::-webkit-scrollbar-thumb {
	background: var(--color_primary);
}
.account-tablist .account-tab:not(:last-child) {
	margin-right: 70px;
}
.account-tablist .account-tab{
	display: inline-block;
	cursor:pointer;
	border-bottom: 2px solid transparent;
	color: #D9D9D9;
}
.account-tablist .account-tab.active{
	border-bottom: 2px solid var(--color_primary);
	color: var(--color_primary);
}
.account-tablist .account-tab span{
	display: inline-block;
	font-size: 18px;
	font-weight: 600;
	outline: none;
	cursor:pointer;
	text-decoration:none;
}
.account-tablist.order-tablist .account-tab:not(:last-child){margin-right:14px;}
.account-tablist.order-tablist .account-tab span{
	font-size:16px;
}

.tablist-content{
	margin-top:15px;
}
.tablist-content ul{padding-left:0;}
.orders-line{margin-bottom:20px;}
.orders-line .orders-line-head{
	margin-bottom: 15px;
}
.orders-line .orders-status{
	font-size: 21px;
	font-weight: 600;
	margin-bottom: 5px;
	display:-ms-flexbox;
	display:-webkit-flex;
	display:flex;
	align-items: center;
	-webkit-align-items: center;
}
.orders-line .orders-status.color-bold{
	color:#bb1d1d;
}
span.status-dot{
	display: inline-block;
	width: 6px;
	height: 6px;
	background: transparent;
	border-radius: 100%;
	margin-right: 10px;
}
span.status-dot.order-success{
	background:#5ebd66;	
}
span.status-dot.order-cancel{
	background:#d93131;
}
span.status-dot.order-return{
	background:#b31e1e;
}
span.status-dot.order-pending{
	background:#5e77bd;
}
span.status-dot.order-refund{
	background:#c97610;
}
span.status-dot.order-processing{
	background:#5e77bd;
}
.orders-line .orders-number{color: #666666;}
.orders-line .orders-line-products{
	margin-right:-2px;
	margin-left:-2px;
}
.orders-line-products.owl-carousel .owl-nav button{
	position: absolute;
	top: 50%;
	transform: translateY(-50%);
	line-height: 30px;
	background: rgb(245 245 245 / 70%);
	display: inline-block;
	font-size: 24px;
	padding: 5px 8px;
}
.orders-line-products.owl-carousel .owl-nav button.disabled{
	opacity:0;
	visibility:hidden;
}
.orders-line-products.owl-carousel .owl-nav button.owl-prev{
	left:0;
}
.orders-line-products.owl-carousel .owl-nav button.owl-next{
	right:0;
}
.orders-line .orders-line-products .orders-products-item{
	padding-right:2px;
	padding-left:2px;
	text-align:center;
	margin-bottom:0;
}
.orders-line-bottom{
	margin-top: 8px;
	text-align: right;
	display: flex;
	align-items: center;
	justify-content: space-between;
	flex-wrap:wrap;
}
.orders-line-bottom .point-highlight{
	font-size: 14px;
	color: #e1b53c;
	font-weight: 600;
	opacity:0;
	visibility:hidden;
}
.orders-line-bottom p{
	color:#757575;
	margin:0;
	width:100%;
	text-align:right;
}
.orders-line-bottom p .orders-price{
	font-size:21px;
	font-weight:600;
	color:#000;
}
.orders-line-actions{
	display: flex;
	flex-wrap:wrap;
	justify-content: space-between;
	align-items: center;
	margin-top: 16px;
}
.orders-action-left{padding-left:14px;position:relative;}
.orders-action-left .order-buy{
	position: absolute;
	width: 70px;
	padding: 5px 10px;
	text-align: center;
	background: #fff;
	border: 1px solid #e5e5e5;
	bottom: -40px;
	z-index: 22;
	opacity:0;
	visibility:hidden;
}
.orders-action-left.show-btn .order-buy{
	opacity:1;
	visibility:visible;
}
.orders-action-left .order-buy:before{
	content: ' ';
	display: block;
	width: 10px;
	height: 10px;
	border: 1px solid #e5e5e5;
	position: absolute;
	left: 7px;
	top: -6px;
	-webkit-transform: rotate(-45deg);
	transform: rotate(-45deg);
	background: #fff;
	border-bottom: #fff;
	border-left: #fff;
}
.orders-action-left .order-buy a{
	color: #666;
	font-size:12px;
}
.orders-action-left .action-dots{
	display: block;
	cursor: pointer;
	width: 40px;
	position: relative;
	height: 10px;
	padding:10px 0;
}
.orders-action-left .action-dots:before{
	position: absolute;
	content: '';
	width: 8px;
	height: 8px;
	background: #000;
	border-radius: 100%;
	box-shadow: -14px 0px 0px 0px #000, 14px 0px 0px 0px #000;
	left: 50%;
	top:50%;
	transform: translateX(-50%) translateY(-50%);
}
.orders-line-actions .btn-action{
	font-size: 14px;
	display: inline-block;
	padding: 10px 35px;
	border: 1px solid var(--color_primary);
	margin-left: 10px;
	text-decoration:none;
	font-weight: 600;
	transition: all 0.3s;
	color: var(--color_primary);
}

.orders-line-actions .btn-action:last-child{
	background:var(--color_primary);
	color:#fff;
	transition: all 0.2s ease-in-out 
}
.orders-line-actions .btn-action:hover{
	background:var(--color_primary);
	color:#fff;
}
.orders-line-actions .btn-action:last-child:hover{
	background:#fff;
	color:var(--color_primary);
}
.orders-line-actions .btn-reviews-detail{
	cursor: pointer
}
.orders-line-actions .btn-action.btn-order-comfirm{
	background:#000;
	color:#fff;
}
.wrapper-reviews{
	border: 1px solid #ddd;
	padding: 15px;
	margin-top: 25px;
	width:100%;
}

.reviews-bagde{
	text-align: center;
	max-width: 727px;
	width: 100%;
	margin: 0 auto;
}

.reviews-point{
	color: #757575;
	font-size: 16px;
	line-height: 19px;
}
.reviews-point .point-value{
	margin-left: 5px;
}
.reviews-point .point{
	color: #EFBC22;
}
.reviews-point-process{
	margin-top: 10px;
}
.reviews-point-process{
	box-shadow: inset 0 6px 0 0 #e3e3e3;
	height: 6px;
	border-radius: 20px;
	position: relative;
}
.reviews-point-process .point-process-bar{
	position:absolute;
	top:0;
	left:0;
	border-radius:20px;
	height:100%;
	background:#EFBC22;
}
.reviews-point-rules{
	max-width: 435px;
	text-align: center;
	margin: 0 auto;
	font-size: 14px;
	margin-top: 10px;
	color: #757575;
}
.reviews-point-rules a{
	color: #0060A1;
	text-decoration:underline;
	display:none;
}
.reviews-ban{
	background: #F3F3F3;
	padding: 15px 20px;
	margin-top: 20px;
}
.reviews-ban .icon-ban{
	vertical-align: middle;
}
.reviews-ban .icon-ban svg{
	width:14px;
	height:14px;
}
.reviews-ban .txt-ban{
	font-size: 16px;
	margin-left: 10px;
	color:#757575;
}
.reviews-body{
	margin-top:30px;
}
.reviews-title-large{
	font-size: 20px;
	font-weight: 600;
	line-height: 24px;
	margin-bottom: 25px;
}
.reviews-keyword-head{
	display:-ms-flexbox;
	display:-webkit-flex;
	display:flex;
	justify-content: space-between;
	-webkit-justify-content: space-between;
}
.ac-info-size {
	position: relative;
	height: 45px;
	padding-bottom: 7px;
	border-bottom: 2px solid #ddd;
	margin-bottom: 30px;
	display: -ms-flexbox;
	display: -webkit-flex;
	display: flex;
	align-items: flex-end;
	-webkit-align-items: flex-end;
}

label.title-ac {
	position: absolute;
	top: 0;
	font-size: 14px;
	color: #767676;
	margin: 0;
}
.ac-info-size select {
	width: 100%;
	border: 0;
	padding-top: 25px;
	margin-bottom: 0;
	background: transparent;
	font-size:14px;
	outline:0;
}
.wrapper-reviews .reviews-star {
	margin: 0 10px;
}
.reviews-star{
	display: inline-block;
}
.reviews-star .ico-star{
	padding: 0 2px;
}
.reviews-star-txt{
	display: inline-block;
	margin-left: 15px;
	font-size: 20px;
	color: #FDBE14;
	font-weight:600;
}
.reviews-star .ico-star svg{
	width:14px;
	height:14px;
}
.reviews-star .ico-star .cls-1{
	fill: #ffba00;
	stroke: #ffba00;
}
.reviews-star input{
	position: absolute;
	opacity: 0;
	visibility: hidden;
}
.reviews-star label{
	float: right;
	margin: 0;
	padding: 0 2px;
	line-height:0;
}
.reviews-star label svg{
	width:14px;
	height:14px;
}
.reviews-star input:checked ~ label svg .cls-1{
	fill: #ffba00;
	stroke: #ffba00;
}
.reviews-service-des textarea{
	width: 100%;
	border: 1px solid #ddd;
	padding: 5px;
	outline: none;
	height:60px;
}
.reviews-data-keyword{margin-top:10px;}
.reviews-product-list{margin-top:20px;}
.reviews-keyword-list{
	max-width: 715px;
	width: 100%;
	padding:0;
}

.reviews-keyword-list .keyword-item{
	display: inline-block;
	font-size: 14px;
	line-height: 17px;
	color: #757575;
	background: #F4F4F4;
	margin-right: 15px;
	margin-bottom: 15px;
	cursor:pointer;
}
.reviews-keyword-list .keyword-item input{
	position:absolute;
	opacity:0;
}
.reviews-keyword-list .keyword-item label{
	font-weight:400;
	position:relative;
	padding: 5px 10px;
	border:1px solid transparent;
	margin:0;
	cursor:pointer;
}
.reviews-keyword-list .keyword-item input:checked + label{
	border-color: #000;
}
.reviews-keyword-list .keyword-item input:checked + label:before{
	position: absolute;
	content: '';
	border-top: 15px solid #000;
	border-left: 15px solid transparent;
	top: 0;
	right: 0;
}
.reviews-keyword-list .keyword-item input:checked + label:after{
	position: absolute;
	content: '';
	background-image: url(//theme.hstatic.net/1000026602/1000947935/14/close.png?v=499);
	width: 8px;
	height: 8px;
	background-size: cover;
	top: 0;
	right: 0;
}
.reviews-data__product{
	display: flex;
	justify-content: space-between;
	flex-wrap:wrap;
}
.bad-tag-tip{
	color: #CB0024;
	font-size: 10px;
	margin-bottom: 8px;
	display: inline-block;
	display:none;
}
.data__product-left{
	flex: 1;
	display: flex;
}
.reviews-product-image{
	flex: 0 0 100px;
	max-width: 100px;
}
.reviews-product-detail{
	flex: 0 0 calc(100% - 100px);
	max-width: calc(100% - 100px);
	padding-left: 15px;
	position:relative;
}
.reviews-product-detail h3{
	font-size: 14px;
	color: #757575;
	margin-bottom: 5px;
}
.reviews-product-detail .product-variant{
	color: #757575;
	margin: 0;
}
.reviews-product-detail .data__product-right{
	position: absolute;
	bottom: 0;
	width: 100%;
	padding-right: 15px;
}
.reviews-product-detail .reviews-star-txt{
	min-width:100px;
	text-align:right;
}
.reviews-data__images{
	margin-top: 15px;
	margin-bottom:15px;
	padding:8px;
	background:#f6f6f6;
}
.reviews-data__comment textarea{
	width: 100%;
	height: 40px;
	border: none;
	background: transparent;
	outline: none;
}
.reviews-data__comment textarea.valid-error{
	border:1px solid red;
}
.data__images-list{
	display:flex;
	display:-ms-flexbox;
	display:-webkit-flex;
	flex-wrap:wrap;
	-webkit-flex-wrap:wrap;
}
.data__images-list .data__images-item{
	max-width: 64px;
	margin-right: 10px;
}
.data__images-list .data__images-item .box-image-reiew{
	position:relative;
}
.data__images-list .data__images-item .box-image-reiew .remove-img-review{
	position: absolute;
	top: -8px;
	line-height: 0;
	right: 0;
	display: inline-block;
	width: 16px;
	height: 16px;
	background: #525050;
	border-radius: 100%;
	text-align: center;
	line-height: 15px;
	font-size: 13px;
	color: #fff;
}
.data__images-list .data__images-add{
	display: inline-block;
	position: relative;
	background: #F4F4F4;
}
.data__images-list .data__images-add input{
	opacity:0;
	position:absolute;
	visibility:hidden;
}
.data__images-list .data__images-add .images-add-btn{
	width: 64px;
	height: 64px;
	border: 2px dashed #666;
	border-radius: 6px;
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	justify-content: center;
	flex-direction: column;
}
.data__images-list .data__images-add .images-add-btn img{
	width:22px;
	height:22px;
}
.data__images-list .data__images-add .images-add-btn .image-count{
	color: #757575;
}
.reviews-group-line:not(:last-child){
	padding-bottom: 30px;
	border-bottom: 2px dashed #888;
	margin-bottom:20px;
}
.reviews-group-line .reviews-group-value ul{padding:0;}
.reviews-group-line .reviews-group-value .reviews-value-item{
	display:inline-block;
	margin-right:20px;
}

.reviews-group-line .reviews-group-value .reviews-value-item input{
	position:absolute;
	opacity:0;
}
.reviews-group-line .reviews-group-value .reviews-value-item label{
	font-size: 14px;
	font-weight: 400;
	margin: 0;
	position: relative;
	padding-left: 30px;
}
.reviews-group-line .reviews-group-value .reviews-value-item label:before{
	position: absolute;
	content: '';
	width: 20px;
	height: 20px;
	border: 1px solid #ddd;
	border-radius: 100%;
	top: 0;
	left: 0;
}
.reviews-group-line .reviews-group-value .reviews-value-item input:checked + label:before{
	background:#000;
}
.reviews-group-line .reviews-group-value .reviews-value-item input:checked + label:after{
	position: absolute;
	content: '';
	width: 12px;
	height: 6px;
	border-left: 2px solid #ddd;
	border-bottom: 2px solid #ddd;
	top: 6px;
	left: 4px;
	transform: rotate(-49deg);
	border-radius:0;
}
.reviews-action{text-align:right;}
a.btn-account,
span.btn-account{
	display: inline-block;
	background: var(--color_primary);
	color: #fff;
	font-size: 15px;
	text-transform: uppercase;
	text-decoration:none;
	display: inline-block;
	padding: 10px 30px;
	border: 1px solid var(--color_primary);
	font-weight: 500;
	transition: all 0.3s;
	cursor:pointer;
}
a.btn-account:hover,
span.btn-account:hover{
	background:#fff;
	color: var(--color_primary);
}
a.btn-cancle-review {
	background: transparent;
	color: var(--color_primary);
}
a.btn-cancle-review:hover{
	background:var(--color_primary);
	color:#fff;
}
.site-actions-body .account-tablist {
	padding: 10px;
	text-align: center;
}
.point-exchange{
	padding: 35px 15px;
	background: #363434;
	position:relative;
	display: flex;
	flex-wrap: wrap;
	color: #fff;
	font-size:15px;
}
.point-exchange p {
	margin: 0 0 0 5px;
	color: var(--color_primary);
	font-size: 24px;
	line-height: 18px;
}
.point-exchange .point-rank{
	width: 100%;
}
.point-exchange .point-rank span.value-rank{
	margin: 0;
	color: var(--color_primary);
	font-size: 18px;
	line-height: 18px;
}
.point-exchange .btn-paidcoupon{
	position: absolute;
	color: #fff;
	bottom: 15px;
	right: 15px;
	display: inline-block;
	padding: 5px 10px;
	background: var(--color_primary);
	border: 1px solid var(--color_primary);
	text-decoration:none;
	cursor:pointer;
	transition: all 0.3s;
}
.point-exchange .btn-paidcoupon:hover{
	background:#fff;
	color:var(--color_primary);
}
#site-history-point .tablist-content{
	margin-top: 10px;
	background: #fff;
	height: calc(100vh - 180px);
	overflow: hidden;
	overflow-y: auto;
}
.list-voucher-point{
	padding:10px 0;
	display:-ms-flexbox;
	display:flex;
	display:-webkit-flex;
	flex-wrap:wrap;
	-webkit-flex-wrap:wrap;
}
.list-voucher-point .item-coupon .item-coupon__inner{
	padding:15px;
}
.tablist-content.point-container{
	max-height: 400px;
	height: 100%;
	overflow: hidden;
	overflow-y: auto;
	padding-right:10px;
}
table.table-point{border:none;width:100%;}
.table-point tr:first-child td{border-top:0;}
.table-point tr td.date-point{
	width: 20%;
	text-align: left;
	color: #7A7A7A;
	font-size: 12px;
}
.table-point tr td{padding:5px 10px;border-bottom:1px solid #ddd}
.table-point tr td.date-point{
	width: 20%;
	text-align: left;
	color: #7A7A7A;
	font-size: 12px;
}
.table-point tr td.info-point{
	width: 65%;
	text-align: left;
}
.table-point tr td.info-point h4{
	margin: 0;
	font-weight: 600;
	font-size:12px;
}
.table-point tr td.info-point span{
	color: #757575;
	font-size: 12px;
}
.table-point tr td.number-point{
	width: 15%;
	text-align: right;
}
.item-coupon.no-active{opacity:0.5;filter:grayscale(1);}
.item-coupon.click-active{cursor:pointer;}
.list-voucher.row{
	margin-left:-6px;
	margin-right:-6px;
}
.list-voucher.row .item-coupon{
	margin-bottom:15px;
	padding-left:6px;
	padding-right:6px;
}
.item-coupon .item-coupon__inner{
	border: 1px solid var(--color_primary);
	border-top-width: 5px;
	background: #fff6f1;
	position: relative;
	cursor:pointer;
}
.item-coupon .coupon-head{
	padding:10px 15px;
	position:relative;
}
.item-coupon .coupon-head .coupon-bagde{
	position: absolute;
	bottom: 15px;
	right: 15px;
	color: var(--color_primary);
	font-size: 14px;
	display:inline-block;
}
.item-coupon .coupon-head .coupon-bagde.bagde-expired{
	color:#000;
	background:#ccc;
	padding: 5px;
}
.item-coupon .dash-line{
	position:relative;
	border-top: 2px dashed #fff;
}
.item-coupon .dash-line:before{
	position: absolute;
	content: '';
	top: 50%;
	transform: translateY(-50%);
	left: -1px;
	border: 1px solid var(--color_primary);
	border-left: 0;
	width: 10px;
	height: 20px;
	background-color: #fff;
	border-radius: 0 100% 100% 0 / 0 50% 50% 0;
}
.item-coupon .dash-line:after{
	position: absolute;
	content: '';
	top: 50%;
	right: -1px;
	border: 1px solid var(--color_primary);
	border-left: 0;
	width: 10px;
	height: 20px;
	background-color: #fff;
	border-radius: 0 100% 100% 0 / 0 50% 50% 0;
	transform: translateY(-50%) rotate(180deg);
	-webkit-transform: translateY(-50%) rotate(180deg);
}
.item-coupon .coupon-points{
	font-size: 16px;
	margin-bottom: 0;
	color: var(--color_primary);
	font-weight: 600;
	line-height:1.4;
}
.item-coupon .coupon-name{
	font-size: 20px;
	text-transform: uppercase;
	font-weight: 600;
	color: var(--color_primary);
	margin-bottom: 0;
}
.item-coupon .coupon-details p{
	margin-bottom: 0;
	margin-top:5px;
	color: var(--color_primary);
	line-height: 1.2;
}
.item-coupon .coupon-condition{
	padding:0 15px 0;
	margin-top: 15px;
	list-style-type:none;
}
.item-coupon .coupon-condition li{
	position: relative;
	padding-left: 13px;
}
.item-coupon .coupon-condition li.coupon-date span{
	vertical-align: middle;
	display: inline-block;
	height: 15px;
}
.item-coupon .coupon-condition li:before{
	position: absolute;
	content: '';
	width: 5px;
	height: 5px;
	background: #000;
	border-radius: 100%;
	left: 0;
	top: 50%;
	transform: translateY(-50%);
}
.item-coupon .coupon-btn{
	text-align:right;
}
.item-coupon .btn-exchange-coupon{
	display: inline-block;
	padding: 5px 8px;
	background: var(--color_primary);
	border:1px solid var(--color_primary);
	color: #fff;
	font-size: 14px;
	text-decoration:none;
	transition: all 0.3s;
}
.item-coupon .btn-exchange-coupon.not-exchange{
opacity:0.5;
	pointer-events:none;
}
.item-coupon .btn-exchange-coupon:hover{
	background: #fff;
	color: var(--color_primary);
}
p.order-empty{
	margin: 0;
	font-size: 16px;
	color: #777;
}
#modal-changepoint{z-index:999999999;}
#modal-changepoint .modal-content{border-radius:0;background:#fff;}
#modal-changepoint .modal-header{position:relative;justify-content: center;}
#modal-changepoint .modal-header .close{
	font-size: 24px !important;
	color: #000;
	opacity: 1;
	position:absolute;
	right:10px;
	top:50%;
	transform:translateY(-50%);
	margin:0;
	font-weight:400;
}
#modal-changepoint .modal-header .modal-title{
	text-align: center;
	font-weight: 600;
	font-size: 16px;
}
.tablist-content .tab-content:not(.active) {
	display: none;
}
.page-review-head{
	text-align: center;
	border-bottom: 1px solid #e5e5e5;
	padding-bottom: 30px;
}
.page-review-head .account-title{
	text-transform: capitalize;
	font-size: 24px;
	line-height: 1.2;
	margin-bottom: 5px;
}
.page-review-head	a{
	font-size: 12px;
	color: #1860a7;
}
.page-review-content .reviews-row{
	max-width: 960px;
	margin: 0;
}
.page-review-content .reviews-line-item{
	display: -ms-flexbox;
	display: -webkit-flex;
	display: flex;
	flex-wrap: wrap;
	-webkit-flex-wrap: wrap;
	padding-bottom:30px;
	padding-top:30px;
}
.page-review-content .reviews-line-item:first-child{padding-top:0;}
.page-review-content .reviews-line-item:not(:last-child){

	border-bottom:1px solid #ddd;
}
.reviews-line-item .reviews-item-l{
  flex: 0 0 25%;
  -ms-flex:0 0 25%;
	max-width: 25%;
}
.reviews-line-item .reviews-item-l .reviews-item-p{
	max-width: 136px;
	margin: auto;
}
.reviews-item-p .reviews-p-name,.reviews-item-p .reviews-p-variant{
	color: #222;
	padding-top: 5px;
	overflow: hidden;
	text-overflow: ellipsis;
	display: -webkit-box;
	-webkit-line-clamp: 2;
	line-clamp: 2;
	-webkit-box-orient: vertical;
	line-height: 1.2;
	font-size: 12px;
}
.reviews-line-item .reviews-item-r{
	 flex: 0 0 75%;
  -ms-flex:0 0 75%;
	max-width: 75%;
  padding-left:15px;
}
.reviews-item-info .field-item{
	padding-bottom: 20px;
	margin: 0;
}
.reviews-item-info .field-item:last-child{padding-bottom:20px;}
.reviews-item-info .field-item .field-label{
	font-weight: 600;
	color: #000;
	padding: 0;	
  font-size:12px;
}
.reviews-item-info .field-item .star-inline{
	display: inline-block;
	width:initial;
}
.reviews-item-info .field-item .star-inline .star-i{
	display: inline-block;
	margin-right:5px;
}
.reviews-item-info .field-item .star-inline .star-i svg{
	width: 20px;
}
.reviews-item-info .field-item .star-inline .star-i.active svg .cls-1{
	fill: #ffba00;
	stroke: #ffba00;
}
.reviews-item-info .field-item .rate-msg{
	color: #222;
	font-size: 12px;
	margin-left: 10px;
	position: relative;
	font-weight: 700;
	width:initial;
}
.reviews-item-info .field-item .field-val{font-size:12px;}
.reviews-item-info .field-item .my-review-content{font-size:12px;}
.field-item .my-review-image ul li{
	width: 48px;
	display: inline-block;
	margin-right: 15px;
	cursor: pointer;
	position: relative;
	border: 0;
}
.field-item .body-size-items{
	flex-wrap: wrap;
	display: -webkit-box;
	display: flex;
	display: -ms-flexbox;
	list-style-type:none;
	padding-left:0;
}
.field-item .body-size-items .size-item{
	line-height: 18px;
	color: #999;
	font-size: 12px;
	width: 170px;
	margin-right: 12px;
}
.reviews-dateat {
	text-align: right;
	padding-top: 10px;
}

.sh-member__process{
	max-width: 500px;
	margin: 0 auto;
	position: relative;
	height: 4px;
	margin-top:40px;
	margin-bottom:60px;
}
.sh-member__process:before{
	position: absolute;
	content: '';
	width: 100%;
	height: 100%;
	background: #d6d6d6;
	border-radius: 20px;
	top: 0;
}
.sh-member__process .sh-member__line{
	position: absolute;
	top:calc(100% + 8px);
	left: 50%;
	transform: translateX(-50%);
	text-align: center;
}

.sh-member__process .sh-member__line .member-tag{
	display: block;
	color: #000;
	font-size:14px;
	font-weight:600;
	white-space: nowrap;
}
.sh-member__process .sh-member__line	.member-value{
	color: var(--color_primary);
	font-size:14px;
	display:block;
}

.sh-member__process .sh-member__price{
	position: absolute;
	top: calc(100% + 8px);
	left: 50%;
	transform: translateX(-50%);
	font-weight: 600;
	color: var(--color_primary);
	font-size:18px;
}
.sh-member__process .sh-process__bar{
	display: block;
	width: 0;
	height: 100%;
	border-radius: 20px;
	top: 0;
	left: 0;
	background: var(--color_primary);
	position: absolute;
}
.sh-member__process .sh-member__note{
	position: absolute;
	top: -25px;
	left: 0;
	width: 100%;
	text-align: center;
	font-size: 14px;
}
.sh-member__process .sh-process__dot{
	position: absolute;
	width: 8px;
	height: 8px;
	background: var(--color_primary);
	border-radius: 100%;
	top: 50%;
	transform: translateY(-50%);
	left: 0;
}
.sh-member__process .sh-process-min,
.sh-member__process .sh-process-max{
	position: absolute;
	content: '';
	width: 8px;
	height: 8px;
	background: var(--color_primary);
	border-radius: 100%;
	top: 50%;
	transform:translateY(-50%);
}
.sh-member__process .sh-process-min{
	left:0;
}
.sh-member__process .sh-process-max{
	right:0;
}
.form-info__acc{
	max-width: 500px;
	width: 100%;
}
.form-group .input-lb{
	display: block;
	font-size: 14px;
	font-weight: 500;
	margin-bottom: 2px;
}
.form-group .input-txt{
	width: 100%;
	height: 30px;
	line-height: 30px;
	background: #fff;
	border: 1px solid #dcdcdc;
	border-radius: 4px;
	padding: 0 10px;
	outline:0;
}
.form-group .input-txt[disabled]{
	opacity:0.6;
}
.form-group .row-gender{
	display:-ms-flexbox;
	display:-webkit-flex;
	display:flex;
}
.form-group .row-gender .gender-chk{
	position: absolute;
	opacity: 0;
	visibility: hidden;
}
.form-group .row-gender label{
	margin-right: 30px;
	margin-bottom: 0;
	padding-left: 21px;
	position: relative;
	font-weight: 400;
}
.form-group .row-gender .ac-radio-fk{
	display: block;
	position: absolute;
	left: 0;
	top: 2px;
	width: 14px;
	height: 14px;
	background: #fff;
	border: 1px solid #dcdcdc;
	border-radius: 100%;
	transition: all 0.3s;
}
.form-group .row-gender .ac-radio-fk:before{
	position: absolute;
	content: '';
	width: 8px;
	height: 8px;
	background: var(--color_primary);
	border-radius: 100%;
	top: 2px;
	left: 2px;
	transition: all 0.3s;
	opacity:0;
	visibility:hidden;
}
.form-group .row-gender input:checked + label .ac-radio-fk{
	border-color: var(--color_primary);
}
.form-group .row-gender input:checked + label .ac-radio-fk:before{
	opacity:1;
	visibility:visible;
}
.info-submit-btn{margin-top:20px;}
.info-submit-btn button{
	display: inline-block;
	background: var(--color_primary);
	color: #fff;
	font-size: 15px;
	text-transform: uppercase;
	text-decoration:none;
	display: inline-block;
	padding: 10px 30px;
	border: 1px solid var(--color_primary);
	font-weight: 500;
	cursor:pointer;
}
.info-submit-btn button:hover{
	background:#fff;
	color: var(--color_primary);
}

/*------- ADDRESS-----*/
.address-head{
	margin-bottom:30px;
}
.address-head .btn-add-address{
	display: inline-block;
	max-width: 300px;
	width: 100%;
	text-align: center;
	font-size: 16px;
	font-weight: 600;
	text-transform: uppercase;
	border: 1px solid #000;
	height: 35px;
	line-height: 35px;
}
.address-list{
	display:flex;
	flex-wrap:wrap;
	justify-content: space-between;
}
.address-list .address-item{
	width: calc(100% / 2 - 7px);
	padding: 20px 15px 10px 20px;
	border: 1px solid #ddd;
	border-left:none;
	position:relative;
	margin-bottom:15px;
}
.address-list .address-item:before{
	position:absolute;
	content:'';
	height: 100%;
	width: 5px;
	top: 0;
	left: 0;
	background: repeating-linear-gradient(45deg, #ed5e5ed4 0, #ed5e5ed4 14px, #fff 10px, #fff 20px, #aaaae3 20px, #aaaae3 35px, #fff 30px, #fff 40px);
}
.address-list .address-item .address-item-badge{
	display:-ms-flexbox;
	display:-webkit-flex;
	display:flex;
	align-items: flex-end;
	-webkit-align-items: flex-end;
}
.address-list .address-item .address-name{
	font-weight: 600;
	font-size: 18px;
	margin-bottom: 0;
}
.address-list .address-item .address-phone{
	font-size: 16px;
	margin-left: 15px;
	color: #777;
}
.address-list .address-item .address-info{
	margin-top: 15px;
	color: #000;
}
.address-list .address-item .address-info p{
	margin:0;
}
.address-list .address-item .address-actions{
	margin-top: 15px;
	display:-ms-flexbox;
	display:-webkit-flex;
	display:flex;
	justify-content: space-between;
	-webkit-justify-content: space-between;
	align-items: center;
	-webkit-align-items: center;
}
.address-actions .btn-address-set{
	display: inline-block;
	padding: 5px 15px;
	border: 1px solid #a9e942;
	color: #a9e942;
}
.address-actions .address-actions__right span{
	text-decoration: underline;
	display: inline-block;
	margin-left: 5px;
	color: #777;
	cursor:pointer;
}
.customer_address:not(.active){display:none;}
.modal-account-cus .close{
	position: absolute;
	top: 5px;
	right: 15px;
	z-index: 2;
	width: 30px;
	height: 30px;
	text-align: center;
	font-size: 35px;
	font-weight: 400;
	line-height: 30px;
	text-shadow: none;
	color:#000;
}
.modal-account-cus .modal-content{border-radius:0;background:#fff;}
.modal-account-title{
	padding-bottom: 8px;
	border-bottom: 1px solid #ddd;
	margin-bottom: 20px;
}
.modal-account-title h3{
	font-size: 20px;
	font-weight: 600;
	margin: 0;
	color: #000;
}
.account-input-group{margin-bottom:15px;}
.account-input-group .input-control{
	width: 100%;
	height: 35px;
	padding: 5px 10px;
	border: 1px solid #ddd;
	background:#fff;
	outline:0;
}
.account-input-group.group-flex{
	display:-ms-flexbox;
	display:-webkit-flex;
	display:flex
}
.account-input-group .field-value{
	display: flex;
	align-items: center;
	padding: 0 10px;
	background: #fff;
	font-weight: 600;
	border: 1px solid #ddd;
	border-right: 0;
}
.group-flex .input-control{
	flex: 1;
	-ms-flex:1;
}
.input-select{position:relative;}
.input-select label{
	font-weight: 400;
	color: #888;
	margin: 0;
	position: absolute;
	top: 2px;
	left: 15px;
	display:none;
}
.input-select select.input-control{
	color:#888;
}
.input-select select.input-control option{color:#000;}
.account-input-group #address_default_address_new{
	width: 15px;
	height: 15px;
	vertical-align: text-bottom;
}
.account-input-group .set-default{
	font-weight: 500;
	margin: 0;
	margin-left: 10px;
	display: inline-block;
}
.btn-address-create.btn-account,.btn-address-update.btn-account{
	max-width: 160px;
	width: 100%;
}
@media (min-width:992px){
	#modal-changepoint .modal-dialog{
		max-width:850px;
		width:100%;
	}
}
@media (max-width:767px){
	.page-review-head{
		padding:10px 0;
		position:relative;
	}
	.page-review-head .account-title{
		font-size: 16px;
	}
	.site-actions-container .backto-account{
		font-size: 24px;
		top: 50%;
		transform: translateY(-50%);
		left: 15px;
		color: #000;
	}
	.my-review-content{margin-bottom:8px;}
	.page-review-content .reviews-row{margin:0;}
	.page-review-content .reviews-line-item{padding:25px 0;}
	.reviews-line-item .reviews-item-l{flex:0 0 100%;-ms-flex:0 0 100%;max-width:100%;margin-bottom:10px;}
	.reviews-line-item .reviews-item-l .reviews-item-p{
		width: 100%;
		display: -ms-flexbox;
		display: -webkit-flex;
		display: flex;
		max-width: 100%;
	}
	.reviews-line-item .reviews-item-l .reviews-item-p img{
		width:105px;
	}
  .reviews-line-item .reviews-item-r{
    flex:0 0 100%;-ms-flex:0 0 100%;max-width:100%;padding-left:0;padding-top:15px;
  }
	.reviews-item-p .reviews-p-name{
		width: calc(100% - 105px);
		padding-left: 15px;
	}
	.reviews-item-info .field-item{padding-bottom:10px;}
  .reviews-item-info .field-item .field-right{padding:0;}
	.field-item .body-size-items .size-item{
		width: 50%;
		margin-right: 0;
	}
}
.profile-wrap .profile-question{
	font-size: 14px;
	margin-bottom:8px;
}
.profile-wrap li{
	display: inline-block;
	padding: 6px 12px;
	margin-right: 6px;
	margin-bottom: 6px;
	font-size:12px;
	cursor: pointer;
	color: #666;
	border:1px solid #dcdcdc
}
.profile-wrap li.selected-item {
	border: 1px solid var(--color_primary);
	color: var(--color_primary);
	background: url(//theme.hstatic.net/1000231532/1001093179/14/check-pf.png?v=6103) no-repeat right top/18px 18px #f6f6f6;
	background-size: 18px 18px;
}
.btn-action {
	background: var(--color_primary);
	color: #fff;
	font-size: 15px;
	text-transform: uppercase;
	text-decoration: none;
	display: inline-block;
	padding: 10px 30px;
	border: 1px solid var(--color_primary);
	font-weight: 500;
}
.account-info-wrap {
	display: block;
	grid-template-columns: 1fr 1fr;
	gap: 40px;
}
.customer-profile {
	margin-top: 40px;
}
.d-fl-login,.option-selection-register ul {
	display: flex;
	flex-flow: row wrap;
	justify-content: center;
	margin: 0 0 10px;
}
.d-fl-login .optionCheck:first-child,.option-selection-register ul li:first-child {
	padding: 0 15px 0 0;
}
.otpcode {
	display: none;
}
@media (max-width:767px){
	.address-list .address-item{
		width: 100%;
	}
	.address-list .address-item .address-name{font-size:16px;}
	.address-list .address-item .address-phone{font-size:12px;}
	.sh-member__process .sh-member__line .member-tag{font-size:10px !important;}
	.account-tablist .account-tab:not(:last-child){margin-right:20px;}
	.account-tablist .account-tab a,.account-tablist .account-tab span{font-size:14px;}
	.orders-line .orders-status{font-size:16px;}
	.orders-line-bottom p .orders-price{font-size:16px;}
	.data__product-left{margin-bottom:10px;}
	.reviews-keyword-head{flex-wrap:wrap;}
	.reviews-title-large{
		font-size:14px;
		margin-bottom:8px;
	}
	.reviews-flex{
		display:flex;

	}
	.reviews-star-txt{font-size:16px;}
	.wrapper-reviews .reviews-star{margin:0;}
	.account-tablist.order-tablist .account-tab a{font-size:14px}
	.sh-member__process{max-width:290px;}
	.sh-member__process .sh-member__note{font-size:11px;}
	.sh-member__process .sh-member__line .member-value{font-size:12px;}
	.sh-member__process .sh-member__price{font-size:14px;}
	.point-exchange{
		padding:15px 17px 55px 17px;
		font-size:14px;
	}
	.point-exchange p{
		font-size:18px;
	}
	.point-exchange .point-rank span.value-rank{font-size:16px;}
	.table-point tr td.info-point h4{font-size:12px;}
	.reviews-group-line .reviews-group-value .reviews-value-item{margin-right:10px;}
	.account-info-wrap {
		display: block;
	}
}

/* point - coupon  */
.account-tablist.dd-tablist {
	display: -ms-flexbox;
	display: -webkit-flex;
	display: flex;
	justify-content: space-evenly;
	-webkit-justify-content: space-evenly;
	border: 0;
	text-align: center;
	margin-bottom: 20px;
}
.dd-tablist .account-tab a,
.dd-tablist .account-tab span{
	font-size: 16px;
	font-weight: 500;
}
.dd-tablist .account-tab.active a,
.dd-tablist .account-tab.active span{
	color: var(--color_primary);
}

.dd-tablist .account-tab {
	width: 50%;
	border-bottom: 2px solid transparent;
	padding: 10px 0;
	cursor: pointer;
}
/*.dd-tablist .account-tab:hover{
background: #dcdcdc4f;
}*/
.dd-tablist .account-tab:hover a,
.dd-tablist .account-tab:hover span{
	color: var(--color_primary);
}
.dd-tablist .account-tab.active {
	border-color: var(--color_primary);
}
.tablist__item:not(.active) {
	display: none;
}

.point-exchange__wrapper {
	box-shadow: 0 1px 5px 1px #0000001a;
	margin: 0 auto;
	background: var(--color_primary);
	position: relative;
	border-radius: 10px;
	border: 1px solid #DCDCDC;
	padding: 30px 25px;
	height: 100%;
}
.point-convert {
	color: #fff;
}
.point-exchange .point-count {
	font-size: 28px;
	font-weight: bold;
	line-height: 18px;
	color: #fff;
}

.point-prefix {
	font-size: 16px;
	font-weight: 500;
	margin-left: 5px;
	color: #fff;
}

.point-exchange__wrapper {
	box-shadow: 0 1px 5px 1px #0000001a;
	margin: 0 auto;
	background: var(--color_primary);
	position: relative;
}
.point-convert {
	color: #fff;
	display:none;
}
.item-coupon__inner {
	box-shadow: 0 1px 5px 1px #0000001a;
	border-radius: 5px;
	margin-bottom: 25px;
}
.coupon-name {
	background: #dcdcdc52;
	padding: 10px 10px;
	color: var(--color_primary);
	font-size: 16px;
	font-weight: 500;
}
.coupon-details p {
	padding-left: 10px;
}
.coupon-condition {
	list-style-type: disc;
	padding: 0 10px;
	padding-left: 30px;
	margin-bottom: 10px;
	margin-top:10px;
	display: inline-block;
}

.coupon-btn {
	padding: 0 10px 10px;
}
.coupon-bagde {
	padding-left: 10px;
}

.coupon-details p {
	margin: 0;
}
.coupon-empty {
	border-radius: 5px;
	text-align: center;
	max-width: 500px;
  width:100%;
	min-height: 100px;
	margin: 0 auto;
	display: flex;
	align-items: center;
	justify-content: center;
}
.coupon-empty p {
	margin: 0;
	font-size: 16px;
	font-weight: 500;
}
.btn-action.btn-reviews-detail {
	border: 0;
	text-decoration: none;
}
.btn-history-point {
	display: inline-block;
	color: #fff;
	font-size: 14px;
	position: absolute;
	bottom: 15px;
	right: 15px;
	cursor:pointer;
}
.btn-history-point img {
	width: 8px;
	margin-left: 4px;
}
.btn-rule-point {
	position: absolute;
	top: 6px;
	right: 7px;
	cursor:pointer;
}
.btn-rule-point img {
	width: 20px;
}
.btn-history-point:hover, .btn-history-point:focus {
	text-decoration: underline;
	color: #fff;
}

.account-tablist.point-tablist {
	display: grid;
	grid-template-columns: repeat(3, 1fr);
}
.point-tablist .account-tab {
	text-align: center;
	font-weight: 600;
	font-size: 14px;
	text-transform:uppercase;
	padding: 5px 0;
}
.point-tablist .account-tab.active {
	border-bottom: 2px solid var(--color_primary);
	color: var(--color_primary);
}
.point-tablist .account-tab.active a {
	color: var(--color_primary);
}
.modal-title {
	text-align: center;
	font-size: 16px;
}
.point-exchange.account-point-view{
	padding: 0;
	display: block;
	background: transparent;
}

.point-game{
	padding: 20px 15px;
	margin-top: 20px;
}
.point-game>h4{
	font-size: 16px;
	font-weight: 500;
	margin-bottom: 15px;
}
.list-game .item-game{
	display: flex;
	align-items: center;
}
.list-game .item-game:not(:last-child){
	margin-bottom: 10px;
}
.list-game .item-game.game-not{
	opacity: 0.6;
	pointer-events: none;
}
.list-game .item-game .item-game__left{
	flex: 1;
	display: flex;
	align-items: center;
}
.item-game .item-game__left .game-icon{
	width: 45px;
	height: 45px;
	padding: 8px;
	border: 1px solid #ddd;
	border-radius: 12px;
}
.item-game .item-game__left .game-info{
	width: calc(100% - 50px);
	padding: 0 10px;
}
.item-game .item-game__left .game-name{
	font-size: 14px;
	font-weight: 600;
	margin-bottom: 0;
}
.item-game .item-game__left .game-des{
	font-size: 12px;
	margin: 0;
}
.item-game .item-game__left .game-des i{
	display:inline-block;
	margin-top:3px;
}
.item-game .btn-open-game{
	display: inline-block;
	font-size: 14px;
	background: var(--color_primary);
	color: #fff;
	padding: 5px 15px;
}

/*-------------- GAME ---------------*/
.game-info__head{padding:15px 10px 15px;}
.game-info__head .game-info__title{
	font-size: 14px;
	color: #000;
	font-weight: 600;
	margin-bottom: 5px;
}
.game-info__head .game-info__des{
	font-size: 12px;
}
.game-daily__wrapper{margin-top:15px;margin: 15px auto 0;/* max-width: 767px; */}
.game-daily__checklist{
	display: -ms-flexbox;
	display: -webkit-flex;
	display: flex;
	flex-wrap: wrap;
	-webkit-flex-wrap: wrap;
	justify-content: space-between;
	-webkit-justify-content: space-between;
}
.game-daily__item{
	flex: 0 0 calc(100% / 7 - 15px);
	-ms-flex: 0 0 calc(100% / 7 - 15px);
	width: calc(100% / 7 - 15px);
	text-align: center;
	cursor:pointer;
}
.game-daily__item .daily-item__img{
	width: 100%;
	padding-bottom: 100%;
	background: #E5E6E7;
	margin: 0 auto;
	border-radius: 100%;
	display: flex;
	align-items: center;
	justify-content: center;
	position: relative;
}
.game-daily__item .daily-item__img span{
	font-size: 14px;
	font-weight: 600;
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%,-50%);
}
.game-daily__item .daily-item__day{
	margin-top: 4px;
	font-size: 10px;
	color:#989999;
}
.game-daily__item.checkin .daily-item__img{background: var(--color_primary);}
.game-daily__item.checkin .daily-item__img span{
	color:#fff;
}
.game-daily__action{
	margin-top: 15px;
}
.game-daily__action .btn-daily-check{
	display: block;
	background: var(--color_primary);
	color: #fff;
	text-align: center;
	font-size: 16px;
	padding: 8px 0;
}
.game-daily__action .btn-daily-check.not-click{
	pointer-events:none;
	opacity:0.5;
}
.game-info__banner{
	margin-top: 15px;
	padding: 15px 10px;

}
.info__banner-slider:not(.owl-loaded){
	display: grid;
	grid-template-columns: 1fr; 
}
.info__banner-slider:not(.owl-loaded) .item:not(:first-child){
	display: none;
}
.game-info__banner img{border-radius:12px;}
.info__banner-slider .owl-nav.disabled{display:none !important;}
.game-info__products{margin-top:15px;padding:0 10px;}
.game-info__products .pro-tablist{
	border-bottom: 0;
	display: -ms-flexbox;
	display: -webkit-flex;
	display: flex;
	justify-content: space-evenly;
	-webkit-justify-content: space-evenly;
	margin-bottom:20px;
}
#modal-point-notify .modal-dialog{
	height: 100vh;
	display: flex; 
	align-items: center;
	justify-content: center;
}
#modal-point-notify .modal-content{
	max-width:300px;
	width:100%;
	background:#fff;
}
#modal-point-notify .modal-header{
	position: relative;
	border: 0;
	padding-bottom:30px;
}
#modal-point-notify .modal-header .close{
	position: absolute;
	top: -40px;
	right: 0;
	text-shadow: none;
	opacity: 1;
	width: 20px;
	height: 20px;
	background: rgba(255,255,255,0.6);
	text-align: center;
	line-height: 0;
	color: #fff;
	border-radius: 100%;
	border: 1px solid #ddd;
	display: flex;
	align-items: center;
	justify-content: center;
	margin: 0;
	font-size: 20px !important;
}
#modal-point-notify .modal-header img{
	position: absolute;
	top: -25px;
	left: 50%;
	transform: translateX(-50%);
	background: #fff;
	border-radius: 100%;
	width: 50px;
}
#modal-point-notify .modal-body{
	padding: 0 15px 15px;
}
.point-notify__wrapper{text-align:center;}
.point-notify__wrapper h4{
	text-align: center;
	font-size: 16px;
	font-weight: 600;
	margin-bottom: 8px;
}
.point-notify__wrapper .point-notify__checkin{
	font-size: 22px;
	font-weight: 600; 
	margin-bottom: 8px;
	text-transform: capitalize;
}
.point-notify__wrapper .point-notify__des{
	font-size: 14px;
	color: #000;
}
.pro-tablist .account-tab.active a {
	color: var(--color_primary);
}

.pro-tablist .account-tab a {
	cursor: pointer;
	font-weight: 500;
	font-size: 16px;
}
.pro-tablist .account-tab{
	width: 50%;
	border-bottom: 2px solid transparent;
	padding: 10px 0;
	cursor: pointer;
}
.pro-tablist .account-tab.active  {
	border-color: var(--color_primary); 
	color: var(--color_primary);
}

.account-content{
	max-width:900px;
	width:100%;
	margin-top:20px;
}
@media (min-width:992px){
	.account-content{padding-left:30px;}
}
@media (max-width: 767px){
	.game-daily__item .daily-item__img span{
		font-size: 10px;
	}
	.account-content{ margin-top: 0;}
	.account-content .account-title {
		font-size: 16px;
		font-weight: 600;
	}
	.game-info__head {padding: 0;}
	.game-daily__action .btn-daily-check {
		font-size: 14px;
		padding: 7px 0;
	}
	.game-info__banner {
		margin-top: 25px;
		padding: 0;
	}
	.game-info__products{padding: 0;}
	.game-info__products .pro-tablist{padding: 0;}
	.pro-tablist .account-tab a {font-size: 14px;}
	.pro-tablist .account-tab{padding: 5px;}
}

.account-banner {
	margin-bottom: 20px;
}
.not-click{
pointer-events:none !important;
	opacity:0.5;
}